package cz.muni.pv239.cv5recyclerview;

import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MyAdapter extends RecyclerView.Adapter<MyAdapter.ViewHolder> {
	private String[] mDataset;

	public static class ViewHolder extends RecyclerView.ViewHolder {
		public TextView mTextView;

		public ViewHolder(LinearLayout ll) {
			super(ll);
			mTextView = (TextView) ll.findViewById(R.id.text);
		}
	}

	public MyAdapter(String[] myDataset) {
		mDataset = myDataset;
	}

	@Override
	public MyAdapter.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
		LinearLayout ll = (LinearLayout) LayoutInflater.from(parent.getContext()).inflate(R.layout.item, parent, false);

		ViewHolder vh = new ViewHolder(ll);
		return vh;
	}

	@Override
	public void onBindViewHolder(ViewHolder holder, int position) {
		holder.mTextView.setText(mDataset[position]);
	}

	@Override
	public int getItemCount() {
		return mDataset.length;
	}
}


